%global pypi_name django-authority

Name:           python-%{pypi_name}
Version:        0.14
Release:        %mkrel 4
Summary:        A Django app for generic per-object permissions and custom permission checks
Group:          Development/Python
License:        BSD
URL:            https://github.com/jazzband/django-authority/
Source:         https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
This is a Django app for generic per-object permissions, custom permission
checks and permission requests. It also includes view decorators and template
tags for ease of use.

%package -n python3-%{pypi_name}
Summary:        A Django app for generic per-object permissions and custom permission checks
Group:          Development/Python
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(sphinx)

%description -n python3-%{pypi_name}
This is a Django app for generic per-object permissions, custom permission
checks and permission requests. It also includes view decorators and template
tags for ease of use.

%prep
%setup -q -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf django_authority.egg-info/

find . -name "*._*" -delete
find . -name "*.buildinfo" -delete

%build
%py3_build

# for docs
%py3_build_egg

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc AUTHORS CONTRIBUTING.md README.rst
%doc html
%{python3_sitelib}/*




%changelog
* Sun Mar 02 2025 wally <wally> 0.14-4.mga10
+ Revision: 2158110
- rebuild for python3.13

* Tue Dec 19 2023 papoteur <papoteur> 0.14-3.mga10
+ Revision: 2019377
- Mass Rebuild - Python 3.12

* Tue Mar 29 2022 umeabot <umeabot> 0.14-2.mga9
+ Revision: 1832925
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.14-1.mga9
+ Revision: 1785170
- version 0.14
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.13.2-4.mga9
+ Revision: 1732987
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.13.2-3.mga8
+ Revision: 1535254
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 0.13.2-2.mga8
+ Revision: 1451702
- rebuild with python 3.8

* Wed Aug 21 2019 wally <wally> 0.13.2-1.mga8
+ Revision: 1430937
- new version 0.13.2
- switch to python3

* Wed Sep 19 2018 umeabot <umeabot> 0.4-10.mga7
+ Revision: 1274573
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.4-9.mga6
+ Revision: 946191
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4-8.mga5
+ Revision: 749456
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4-7.mga5
+ Revision: 728275
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4-6.mga5
+ Revision: 687971
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.4-4.mga4
+ Revision: 543143
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4-3.mga4
+ Revision: 498365
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.4-2.mga3
+ Revision: 378666
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 ahmad <ahmad> 0.4-1.mga1
+ Revision: 42343
- imported package python-django-authority


* Fri Nov 12 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4-1mdv2011.0
+ Revision: 596496
- Update to 0.4

* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3-2mdv2011.0
+ Revision: 592241
- rebuild for python 2.7

* Wed Sep 29 2010 Michael Scherer <misc@mandriva.org> 0.3-1mdv2011.0
+ Revision: 581942
- import python-django-authority

